Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039856
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2018-12-27 10:182019-03-28 14:55
ReporteranderarangurenView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revisione3f5cce51a50
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039856: If a role has access to a parent org and does not have access to a child org, can see and edit Pending Goods Receipt of child

DescriptionIf a role has access to a parent org and does not have access to a child org, can see and edit Pending Goods Receipt of child organization
Steps To Reproduce1. Login Backoficce with F&B International Group Admin role
2. Go to Purchase Order window and create an order for F&B España - Region Norte, add some products an book it.
3. Check in Pending Goods Receipt that you can see the data from F&B España - Region Norte when selecting F&B España S.A. This is correct.

4. Go to Role window, F&B International Group Admin role and delete the access to F&B España - Region Norte.
5. Log out -Log in
6. Go to Pending Goods Receipt window and try to process again selecting parent organization (F&B España S.A), you can still see and edit the data of child organization (F&B España - Region Norte), even if you have deleted the access for this organization.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108793)
markmm82 (developer)
2019-01-03 02:09

Test Plan:
As F&B International Group Admin role
 Go to Purchase Order window and create an order for F&B España - Region Norte, add some products an book it.
 Check in Pending Goods Receipt that you can see the data from F&B España - Region Norte when selecting F&B España S.A. This is correct.
 Go to Purchase Order window and create an order for F&B España - Region Sur, add some products an book it.
 Check in Pending Goods Receipt that you can see the data from F&B España - Region Norte and Region Sur when selecting F&B España S.A. This is correct.

 Go to Role window, F&B International Group Admin role and delete the access to F&B España - Region Norte.
 Log out -Log in
 Go to Pending Goods Receipt window and try to process again selecting parent organization (F&B España S.A), you can see and edit only the data of child organization (F&B España - Region Sur), as you have deleted the access for Region Norte it is not possible to see lines for this organization.
(0108859)
hgbot (developer)
2019-01-08 16:43

Repository: erp/devel/pi
Changeset: e3f5cce51a50f20963a2179a56d9e49f1d11d54a
Author: Mark <markmm82 <at> gmail.com>
Date: Fri Jan 04 11:10:30 2019 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/e3f5cce51a50f20963a2179a56d9e49f1d11d54a [^]

Fixes issue 39856: If a role has access to a parent org and does not have access
to a child org, can see and edit Pending Goods Receipt of child

It is filtered also by the organizations accessible by the user's role. This avoid
to see records of child organizations where the role hasn't access.

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.java
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending_data.xsql
---
(0108860)
Sandrahuguet (developer)
2019-01-08 17:07

Code review + testing OK
(0110717)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-12-27 10:18 anderaranguren New Issue
2018-12-27 10:18 anderaranguren Assigned To => Triage Finance
2018-12-27 10:18 anderaranguren Modules => Core
2018-12-27 10:18 anderaranguren Triggers an Emergency Pack => No
2018-12-27 12:38 Sandrahuguet Assigned To Triage Finance => markmm82
2018-12-27 17:30 markmm82 Status new => scheduled
2019-01-03 02:09 markmm82 Note Added: 0108793
2019-01-08 16:43 hgbot Checkin
2019-01-08 16:43 hgbot Note Added: 0108859
2019-01-08 16:43 hgbot Status scheduled => resolved
2019-01-08 16:43 hgbot Resolution open => fixed
2019-01-08 16:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e3f5cce51a50f20963a2179a56d9e49f1d11d54a [^]
2019-01-08 17:07 Sandrahuguet Review Assigned To => Sandrahuguet
2019-01-08 17:07 Sandrahuguet Note Added: 0108860
2019-01-08 17:07 Sandrahuguet Status resolved => closed
2019-01-08 17:07 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110717


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker